%define upstream_name    MooX-Types-MooseLike
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Moo types for numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

# Need to be added explicitly because it breaks builds
Requires:   perl(Moo)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 1.4.2
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
See the MooX::Types::MooseLike::Base manpage for an example of how to build
base types.

See the MooX::Types::MooseLike::Numeric manpage for an example of how to
build subtypes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.290.0-5.mga8
+ Revision: 1495733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.290.0-4.mga7
+ Revision: 1269827
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-3.mga6
+ Revision: 1030728
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.290.0-2.mga6
+ Revision: 967200
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 shlomif <shlomif> 0.290.0-1.mga6
+ Revision: 848375
- update to 0.29

* Sun Oct 19 2014 umeabot <umeabot> 0.270.0-4.mga5
+ Revision: 790387
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.270.0-3.mga5
+ Revision: 748744
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.270.0-2.mga5
+ Revision: 685505
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 sander85 <sander85> 0.270.0-1.mga5
+ Revision: 665911
- update to 0.27

* Tue Aug 19 2014 sander85 <sander85> 0.260.0-1.mga5
+ Revision: 665481
- update to 0.26

* Tue Feb 04 2014 shlomif <shlomif> 0.250.0-3.mga5
+ Revision: 581450
- Add missing Requires

* Sat Oct 19 2013 umeabot <umeabot> 0.250.0-2.mga4
+ Revision: 530874
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 sander85 <sander85> 0.250.0-1.mga4
+ Revision: 460584
- update to 0.25

* Mon Jul 15 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 454598
- update to 0.24

* Wed May 29 2013 shlomif <shlomif> 0.230.0-1.mga4
+ Revision: 432567
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 370095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 306177
- update to 0.16

* Sun Sep 30 2012 shlomif <shlomif> 0.150.0-1.mga3
+ Revision: 300647
- update to 0.15

* Wed Sep 26 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 298054
- update to 0.14
+ shlomif <shlomif>
- New version 0.12

* Fri Sep 07 2012 shlomif <shlomif> 0.100.0-1.mga3
+ Revision: 289239
- update to 0.10

* Sun Aug 05 2012 shlomif <shlomif> 0.90.0-1.mga3
+ Revision: 278638
- imported package perl-MooX-Types-MooseLike


* Sun Aug 05 2012 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
